Subject: [Pana] [Pana]: POPA configuration

From: Goeman Stefan <[email-masked]>
Date: Thu, 11 Mar 2004 17:09:35 +0100

Hello All,

I am reading draft-ohba-pana-framwork-00.txt. Section 5 is about IP address
configuration. There is something I do not understand very well. It is about
POPA (Post-Pana Address) configuration. The second bullet point, on page 12
of the draft mentions:
"If the network uses IPsec for protecting the traffic on the link subsequent
to PANA authentication, PaC may use the address configuration methods
available within [RFC2409] or [I-D.ietf-ipsec-ikev2] or it may also use the
mechanism described in [RFC3456]. ..."

- The mechanism based on RFC 3456 I understand.
- With IKEv2, I think I understand it. You can send informational messages,
protected by the IKE_SA, which include the configuration payload. The
configuration payload can be used to request an IP-address.

- However, I have no idea how it could be done by using IKE [RFC2409]. Can
somebody explain this?

Greetings,
Stefan. 

Stefan Goeman 
SIEMENS ICM/ICN 
[email-masked]  <mailto:[email-masked]> 
	
Mobile Solutions 
and Enabling Services
http://www.ic.siemens.be <http://www.ic.siemens.be/eng/default_rd.shtm>

Customer driven solution providers

---

From: Yoshihiro Ohba <[email-masked]>
Date: Thu, 04 Mar 2004 11:19:59 -0800

> - However, I have no idea how it could be done by using IKE [RFC2409]. Can

For IKEv1, there is a non-standard method called "Mode Config" which
is similar to Configuration Payload exchange in IKEv2.  It is
described in section 11.5 of Carlton R. Davis, "IPSec Securing VPNs",
RSA Press.

Yoshihiro Ohba

> Customer driven solution providers 	

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: Yoshihiro Ohba <[email-masked]>
Date: Thu, 04 Mar 2004 11:19:59 -0800

Yoshihiro Ohba